<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class QrOrderItem extends Model
{
    protected $fillable = [
        'qr_order_id',
        'product_id',
        'quantity',
        'price'
    ];

    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function qrOrder()
    {
        return $this->belongsTo(QrOrder::class);
    }
}
