export interface Statistics {
  daily_income: {
    amount: number;
    increase_percentage: number;
    daily_data: Array<{
      date: string;
      amount: number;
    }>;
  };
  monthly_income: {
    amount: number;
    increase_percentage: number;
  };
  orders: {
    monthly: number;
    total: number;
  };
  top_selling_today: Array<{
    name: string;
    total_quantity: number;
    total_amount: number;
  }>;
} 