<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Payment;
use Illuminate\Http\Request;

class PaymentController extends Controller
{
    public function index()
    {
        $payments = Payment::with('user', 'table', 'order')->orderBy('payment_date', 'desc')->get();
        return response()->json([
            'status' => true,
            'data' => $payments
        ], 200);
    }
}
