<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class KitchenOrder extends Model
{
    protected $fillable = [
        'order_id',
        'order_item_id',
        'product_id',
        'table_id',
        'quantity',
        'status'
    ];



    public function order()
    {
        return $this->belongsTo(Order::class);
    }

    public function orderItem()
    {
        return $this->belongsTo(OrderItem::class);
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function table()
    {
        return $this->belongsTo(Table::class);
    }
}
