<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class QrOrder extends Model
{
    protected $fillable = [
        'table_id',
        'status',
        'total_price',
        'note'
    ];

    public function items()
    {
        return $this->hasMany(QrOrderItem::class);
    }

    public function table()
    {
        return $this->belongsTo(Table::class);
    }
}
