<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class WaiterCall extends Model
{
    protected $fillable = ['table_id', 'status', 'seen'];

    protected $casts = [
        'seen' => 'boolean'
    ];

    public function table()
    {
        return $this->belongsTo(Table::class);
    }
}
