<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('waiter_calls', function (Blueprint $table) {
            $table->boolean('seen')->default(false);
        });
    }

    public function down()
    {
        Schema::table('waiter_calls', function (Blueprint $table) {
            $table->dropColumn('seen');
        });
    }
};
