<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\MenuController;

Route::get('/', function () {
    return view('welcome');
});

Route::get('/menu', [MenuController::class, 'categories'])->name('menu.categories');
Route::get('/menu/category/{categoryId}', [MenuController::class, 'products'])->name('menu.products');
Route::get('/menu/product/{productId}', [MenuController::class, 'productDetail'])->name('menu.product.detail');
Route::get('/menu/order', [MenuController::class, 'order'])->name('menu.order');
